# Create conversation rating result

Create a rating result for a specific conversation.

Endpoint: POST /v1/conversations/{conversationId}/ratings/{ratingId}/submit
Version: v1
Security: ApiKeyAuth

## Path parameters:

  - `conversationId` (integer, required)

  - `ratingId` (string, required)
    The ratingId parameter has to be the ID of the offer created via invoking the /conversations/{conversationId}/ratings/offer endpoint.

## Request fields (application/json):

  - `ratingResult` (any, required) — one of:
    - Csat:
      - `value` (integer, required)
        Numeric value between 1 and 5 representing the customer's satisfaction level.
    - Nps:
      - `value` (integer, required)
        Numeric value between 0 and 10 representing the net promoter score.
    - ThumbsUpOrDown:
      - `value` (integer, required)
        One of the the numeric values 0 (thumbs down) and 1 (thumbs up).

  - `comment` (string)

  - `submittedAt` (string)

  - `userId` (string)
    The userId property is no longer used so it's made optional to keep backwards compatibility. A null value can be provided instead of an actual ID.

## Response 201 fields (application/json):

  - `data` (object, required)

  - `data.ratingId` (string, required)

  - `data.userId` (string)

  - `data.ratingResult` (any, required) — one of:
    - Csat:
      - `value` (integer, required)
        Numeric value between 1 and 5 representing the customer's satisfaction level.
    - Nps:
      - `value` (integer, required)
        Numeric value between 0 and 10 representing the net promoter score.
    - ThumbsUpOrDown:
      - `value` (integer, required)
        One of the the numeric values 0 (thumbs down) and 1 (thumbs up).

  - `data.comment` (string)

  - `data.submittedAt` (string)

## Response 400 fields (application/json):

  - `message` (string, required)

## Response 500 fields (application/json):

  - `message` (string, required)


